function dashboard_reporting_widget (instance, widget) {
    "use strict";

    var widgets = widget;
    var InstalledModule = 0;
    

    widget.DashboardReportingWidget = instance.Widget.extend({
        template: 'DashboardReportingTemplate',
        widgets: [
            {
                title: 'Clientes',
                name: 'CustomerCounterWidget'
            }
        ],

        grid: {},
        start: function () {
            this.$el.find('.grid-stack.dashboard').gridstack({
                animate: true,
            });
            this.grid = this.$el.find('.grid-stack.dashboard').data('gridstack');
            this.renderWidgets();
        },
        renderWidgets: function () { 
            var self = this; 

            //Invoice History
            var wInvoiceHistory = new widgets.InvoiceHistoryWidget(self);
            wInvoiceHistory.renderElement();
            wInvoiceHistory.start();
            self.grid.addWidget(wInvoiceHistory.$el, 0, 0, wInvoiceHistory.size.width,  wInvoiceHistory.size.height, true);
            
            //Ranking pos orders Salesman
            var wRankingPosOrderSalesman = new widgets.RankingPosOrdersSalesmanWidget(self);
            wRankingPosOrderSalesman.renderElement();
            wRankingPosOrderSalesman.start();
            self.grid.addWidget(wRankingPosOrderSalesman.$el, 0, 0, wRankingPosOrderSalesman.size.width,  wRankingPosOrderSalesman.size.height, true);

            // Ranking de clientes
            var wRankingPosOrderPartner = new widgets.RankingPosOrdersPartnerWidget(self);
            wRankingPosOrderPartner.renderElement();
            wRankingPosOrderPartner.start();
            self.grid.addWidget(wRankingPosOrderPartner.$el, 0, 0, wRankingPosOrderPartner.size.width,  wRankingPosOrderPartner.size.height, true);
            
            //Ranking de Ventas de Producto por Mes - Point Of Sale
            var wRankingPosOrderProduct = new widgets.RankingPosOrdersProductWidget(self);
            wRankingPosOrderProduct.renderElement();
            wRankingPosOrderProduct.start();
            self.grid.addWidget(wRankingPosOrderProduct.$el, 0, 0, wRankingPosOrderProduct.size.width,  wRankingPosOrderProduct.size.height, true);
        }
    });
}
